根据升级基准扫描 ESXi 主机时,Update Manager 会运行预检查脚本并在每个主机的升级详细信息窗口中提供信息消息。此消息向您通报有关主机上硬件和第三方软件的潜在问题以及可能会妨碍成功升级到 ESXi 6.5 的配置问题。

Update Manager 提供的消息与运行主机升级预检查脚本时出现的错误或警告代码相对应。

对于使用 ESXi 安装程序执行的交互式安装和升级,预检查脚本中的错误或警告会显示在安装程序的最终面板上,其中会要求您确认或取消安装或升级。对于脚本式安装和升级,会向安装日志中写入错误或警告。

Update Manager 在升级详细信息窗口中提供针对预检查脚本中错误或警告的扫描结果消息。要查看预检查脚本在 Update Manager 主机升级扫描操作过程中返回的原始错误和警告,请查看 Update Manager 日志文件 C:\Documents and Settings\All Users\Application Data\VMware\VMware Update Manager\Logs\vmware-vum-server-log4cpp.log

表 1. 扫描结果消息和相应的错误和警告代码

Update Manager 中的扫描结果消息

描述

主机 CPU 不受支持。新的 ESXi 版本要求支持长模式 LAHF/SAHF 指令的 64 位 CPU。

如果主机处理器为 32 位且不支持所需的功能,则会显示此消息。

对应的错误代码为 64BIT_LONGMODESTATUS

主机已启用受信任引导,但升级不包括软件包 esx-tboot。升级主机将移除受信任引导功能。

此消息表示主机升级扫描在升级 ISO 上找不到 esx-tboot VIB。

对应的错误代码为 TBOOT_REQUIRED

VMkernel 和服务控制台网络接口正在共享同一子网 subnet_name。升级后不支持此配置。只应有一个接口连接到子网 subnet_name

警告。已在启用的服务控制台虚拟网卡上找到 IPv4 地址,而 VMkernel 的同一子网中没有对应的地址。每当出现这种情况,就会显示单独的警告。

对应的错误代码为 COS_NETWORKING

新的 ESXi 版本最少需要 core_count 个处理器内核。

主机必须至少有两个内核。

对应的错误代码为 CPU_CORES

处理器不支持硬件虚拟化或已在 BIOS 中禁用。虚拟机性能可能会较低。

如果主机处理器不支持硬件虚拟化,或者硬件虚拟化在主机 BIOS 中未打开,则主机性能可能会降低。在主机引导选项中启用硬件虚拟化。请参见硬件供应商的文档。

对应的错误代码为 HARDWARE_VIRTUALIZATION

内存不足,升级所需的最小内存为 size_in_MB

主机需要指定的内存量才能进行升级。

对应的错误代码为 MEMORY_SIZE

file_name 进行主机升级有效性检查失败。

此测试可检查预检查脚本自身是否可以运行。

对应的错误代码为 PRECHECK_INITIALIZE

主机分区布局不适合升级。

仅当正在升级的磁盘上至多有一个 VMFS 分区并且 VMFS 分区在扇区 1843200 之后启动时,才可以进行升级。

对应的错误代码为 PARTITION_LAYOUT

不支持的配置。

主机上必须存在文件 /etc/vmware/esx.conf

此消息指出文件 /etc/vmware/esx.conf 丢失,或者无法正确检索或读取文件数据。

对应的错误代码为 SANE_ESX_CONF

主机在本地 VMFS 数据存储中的可用空间不足,无法备份当前主机配置。所需的最小空间为 size_in_MB

主机磁盘必须有足够的可用空间,才能存储两次重新引导之间的 ESXi 5.x 配置。

对应的错误代码为 SPACE_AVAIL_CONFIG

当前主机版本不支持此升级。

只能从 ESXi 5.5ESXi 6.0 主机升级到 ESXi 6.5

对应的错误代码为 SUPPORTED_ESX_VERSION

主机上找到了不受支持的设备 device_name

此脚本将检查不受支持的设备。ESXi 6.5 不支持某些 PCI 设备。

对应的错误代码为 UNSUPPORTED_DEVICES

主机软件配置需要进行重新引导。请重新引导主机并重试升级。

要确保有一个好的引导槽用于升级,您必须在修复之前重新引导主机。

对应的错误代码为 UPDATE_PENDING

在 Cisco Nexus 1000V 分布式虚拟交换机环境中,Update Manager 显示的消息因情况而异。有关详细信息,请参见存在 Cisco Nexus 1000V 时的主机升级扫描消息

如果主机上找到了 Cisco 的虚拟以太网模块 (VEM) 软件,则预检查脚本会检查该软件是否也是升级的一部分,以及 VEM 是否支持与主机上现有版本相同的虚拟监控模块 (VSM) 版本。如果软件丢失或与不同版本的 VSM 兼容,则脚本将返回警告,且扫描结果将指示升级 ISO 上应有的 VEM 软件版本以及 ISO 上找到的版本(如果有)。

对应的错误代码为 DISTRIBUTED_VIRTUAL_SWITCH

主机使用 EMC PowerPath 多路径模块 file_name 来访问存储。升级后主机将无法访问这类存储。

此脚本将检查 EMC PowerPath 软件的安装,其中包括 CIM 模块和内核模块。如果主机上找到了这两个组件中的任意一个,则脚本将验证升级中是否也存在此匹配的组件(CIM、VMkernel 模块)。如果未找到,则脚本将返回警告,指示升级 ISO 上应有的 PowerPath 组件以及找到的组件(如果有)。

对应的错误代码为 POWERPATH